#!/bin/zsh
temp=$(sensors nvme-pci-3e00 | grep Composite | awk '{print $2}')

if [[ "${1}" == "-t" ]]; then
    shift
    echo -n "${temp}"
else
    val=$(grep -Po '[\d.]+' <<< ${temp})

    if [[ ${val} -le 30.0 ]]; then
        printf "^fg(#0000cc)"
    elif [[ ${val} -le 60.0 ]]; then
        printf "^fg(#cc7700)"
    elif [[ ${val} -gt 60.0 ]]; then
        printf "^fg(#cc0000)"
    fi
fi
